#!/bin/bash

input_dir=./binseq
output_file=`pwd`/sqlcopy/all_binseq.sqlcopy
lexicon=./lexicon/lexicon
first_doc_id=1

mkdir -p sqlcopy

nl -nln $lexicon | sed 's/ //g' > ./sqlcopy/lexicon.sqlcopy

# comment this line out, if you
ls binseq | nl -nln -v $first_doc_id | sed 's/ //g' > ./sqlcopy/docs.sqlcopy

echo -n > $output_file
for docname in `ls $input_dir/`; do
	docid=`grep $'\t'"$docname\$" ./sqlcopy/docs.sqlcopy | cut -f1`
	echo "$docname -> id=$docid"
	cat $input_dir/$docname/$docname.binseq \
	| ./scripts/binseq2sql.pl $docid ./sqlcopy/lexicon.sqlcopy \
	>> $output_file
done

echo "sorting sqlcopy..."
sort -k2,2n -k1,1n -S 500M $output_file > $output_file.sorted
